Bug 225895 - Allow products built on top of NetBeans platform to disable the CLI server
Allow products built on top of NetBeans platform to disable the CLI server
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.3
PC Linux
: P1 (vote)
: 7.4
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 13:47 UTC by Jaroslav Tulach
Modified: 2013-03-12 13:10 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Introduces -Dorg.netbeans.CLIHandler.server=false (17.42 KB, patch)
2013-02-08 13:50 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2013-02-08 13:47:30 UTC
SQLDeveloper requested an ability to disable the built in CLI server.
Comment 1 Jaroslav Tulach 2013-02-08 13:50:56 UTC
Created attachment 131149 [details]
Introduces -Dorg.netbeans.CLIHandler.server=false
Comment 2 Jiri Rechtacek 2013-02-11 13:43:09 UTC
Looks good for me, go ahead.
Comment 3 Jaroslav Tulach 2013-02-14 07:49:09 UTC
Thanks. About to integrate.
Comment 4 Jaroslav Tulach 2013-02-15 11:18:05 UTC
ergonomics#2194947cf09d - will need backport to jdev_abrams branch
Comment 5 Quality Engineering 2013-02-16 01:53:02 UTC
Integrated into 'main-golden', will be available in build *201302152300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2194947cf09d
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #225895:  Allow products built on top of NetBeans platform to disable the CLI server
Comment 6 Jaroslav Tulach 2013-03-12 13:10:21 UTC
changeset:   a5981932db93
branch:      jdev_abrams
tag:         tip
parent:      a361fe1d2dcb
parent:      2194947cf09d
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Tue Mar 12 14:09:18 2013 +0100
summary:     Merge of #225895 for Abrams consumption


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo